Debian Bug report logs - #649339
vtk 5.8 transition

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Dominique Belhachemi <domibel@debian.org>

Date: Sun, 20 Nov 2011 02:57:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Sun, 20 Nov 2011 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Belhachemi <domibel@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 Nov 2011 02:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Belhachemi <domibel@debian.org>
To: submit@bugs.debian.org
Subject: vtk 5.8 transition
Date: Sat, 19 Nov 2011 21:52:15 -0500
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition


Hi,

I would like to upload vtk-5.8.0 to unstable. It fixes the dependency
issues we had with vtk-5.6 but might also break a few packages.
Is it a bad time to start the transition?

-Dominique




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Tue, 22 Nov 2011 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 22 Nov 2011 08:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 649339@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominique Belhachemi <domibel@debian.org>, 649339@bugs.debian.org
Subject: Re: Bug#649339: vtk 5.8 transition
Date: Tue, 22 Nov 2011 09:07:48 +0100
On Sat, Nov 19, 2011 at 21:52:15 -0500, Dominique Belhachemi wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> 
> Hi,
> 
> I would like to upload vtk-5.8.0 to unstable. It fixes the dependency
> issues we had with vtk-5.6 but might also break a few packages.
> Is it a bad time to start the transition?
> 
What's the point of asking if you're not going to wait for an answer
anyway?

Cheers,
Julien




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 08:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Wed, 23 Nov 2011 03:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Belhachemi <domibel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 23 Nov 2011 03:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 649339@bugs.debian.org (full text, mbox):

From: Dominique Belhachemi <domibel@debian.org>
To: 649339@bugs.debian.org
Subject: Re: Bug#649339: vtk 5.8 transition
Date: Tue, 22 Nov 2011 22:33:05 -0500
Those packages build-depend on vtk. Please schedule a rebuild if
possible. Thanks.


activiz.net

ants

caret

gdcm

ifrit

igstk

itksnap

kwwidgets

libmesh

odin

openmeeg

salome

therion

vtkedge

yade




Added blocking bug(s) of 649339: 650936 and 650935 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 04 Dec 2011 13:15:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Sun, 04 Dec 2011 13:33:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 04 Dec 2011 13:33:22 GMT) Full text and rfc822 format available.

Message #24 received at 649339@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominique Belhachemi <domibel@debian.org>, 649339@bugs.debian.org
Subject: Re: Bug#649339: vtk 5.8 transition
Date: Sun, 4 Dec 2011 14:32:20 +0100
On Tue, Nov 22, 2011 at 22:33:05 -0500, Dominique Belhachemi wrote:

> activiz.net
> 
Had a source upload.

> ants
> 
Doesn't seem to depend on vtk.

> caret
> 
Scheduled.

> gdcm
> 
FTBFS, #650935

> ifrit
> 
Scheduled.

> kwwidgets
> 
FTBFS, #650936

> odin

FTBFS, #623145

> openmeeg
> 
Doesn't seem to depend on vtk.

> salome
> 
#587387, #593657, #596315, #598421, #605154, #605812, #607024, #607651,
#607655, #611095, #616278, #619662, #644153, #585837, #605196

I don't think so.

> therion
> 
Scheduled

> yade
> 
Had a source upload.

> igstk
> itksnap
> libmesh
> vtkedge
> 
Will deal with later.

Cheers,
Julien




Added blocking bug(s) of 649339: 650025 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 05 Dec 2011 10:39:03 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 649339: 650935 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 05 Dec 2011 10:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Wed, 07 Dec 2011 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Belhachemi <domibel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Dec 2011 03:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 649339@bugs.debian.org (full text, mbox):

From: Dominique Belhachemi <domibel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 649339@bugs.debian.org
Subject: Re: Bug#649339: vtk 5.8 transition
Date: Tue, 6 Dec 2011 22:55:26 -0500
Thanks Julien!

>> gdcm
>>
> FTBFS, #650935
>
This should work with vtk 5.8.0-5 . (Tested successfully on amd64)

>
>> kwwidgets
>>
> FTBFS, #650936
>
Can be removed from testing.

>> igstk
>> itksnap
>> libmesh
>> vtkedge
>>
Please schedule those packages if possible.

Cheers
-Dominique




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Wed, 07 Dec 2011 18:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Dec 2011 18:03:08 GMT) Full text and rfc822 format available.

Message #38 received at 649339@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominique Belhachemi <domibel@debian.org>, 649339@bugs.debian.org
Subject: Re: Bug#649339: vtk 5.8 transition
Date: Wed, 7 Dec 2011 19:00:37 +0100
On Tue, Dec  6, 2011 at 22:55:26 -0500, Dominique Belhachemi wrote:

> Thanks Julien!
> 
> >> gdcm
> >>
> > FTBFS, #650935
> >
> This should work with vtk 5.8.0-5 . (Tested successfully on amd64)
> 
I set the appropriate dep-waits.

> >> igstk
> >> itksnap
> >> libmesh
> >> vtkedge
> >>
> Please schedule those packages if possible.
> 
Scheduled.

Note that vtk needs #643814 fixed up (at least the bts state, which says
5.8.0-1 is affected, but doesn't have a newer fixed version).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Thu, 08 Dec 2011 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 08 Dec 2011 08:27:03 GMT) Full text and rfc822 format available.

Message #43 received at 649339@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominique Belhachemi <domibel@debian.org>, 649339@bugs.debian.org
Subject: Re: Bug#649339: vtk 5.8 transition
Date: Thu, 8 Dec 2011 09:25:41 +0100
wrapitk-python also FTBFS:
https://buildd.debian.org/status/package.php?p=wrapitk-python

Cheers,
Julien




Added blocking bug(s) of 649339: 651433 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 08 Dec 2011 15:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Fri, 09 Dec 2011 11:15:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Dec 2011 11:15:59 GMT) Full text and rfc822 format available.

Message #50 received at 649339@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 649339@bugs.debian.org
Date: Fri, 9 Dec 2011 12:12:01 +0100
ref:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649339#33


Please do not remove kwwidgets from testing.
1.Slicer 3.6.x is still a decent viewer even if Slicer 4.x will be
released soon.
2. I need kwwidgets for volview see #640511

Thanks,
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Fri, 09 Dec 2011 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Dec 2011 11:39:10 GMT) Full text and rfc822 format available.

Message #55 received at 649339@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, <649339@bugs.debian.org>
Subject: Re: Bug#649339:
Date: Fri, 09 Dec 2011 11:37:15 +0000
On Fri, 9 Dec 2011 12:12:01 +0100, Mathieu Malaterre wrote:
> ref:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649339#33
>
>
> Please do not remove kwwidgets from testing.

It FTBFS and could thus block the transition.  If you're concerned 
about the issue, maybe contribute to getting the FTBFS fixed?

> 1.Slicer 3.6.x is still a decent viewer even if Slicer 4.x will be
> released soon.
> 2. I need kwwidgets for volview see #640511

volview appears to not even be in the archive, nor in NEW?  In that 
case I fail to see how the content of testing can possibly be relevant 
to the package.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Fri, 09 Dec 2011 11:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Dec 2011 11:54:18 GMT) Full text and rfc822 format available.

Message #60 received at 649339@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 649339@bugs.debian.org
Subject: Re: Bug#649339:
Date: Fri, 9 Dec 2011 12:49:21 +0100
On Fri, Dec 9, 2011 at 12:37 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
> On Fri, 9 Dec 2011 12:12:01 +0100, Mathieu Malaterre wrote:
>>
>> ref:
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649339#33
>>
>>
>> Please do not remove kwwidgets from testing.
>
>
> It FTBFS and could thus block the transition.  If you're concerned about the
> issue, maybe contribute to getting the FTBFS fixed?

Just to clears things up. I am in discussion with kwwidgets maintainer
and I am providing fix (ATM to be precise) for that. I did not want
the release team to start removing it while on it.

>> 1.Slicer 3.6.x is still a decent viewer even if Slicer 4.x will be
>> released soon.
>> 2. I need kwwidgets for volview see #640511
>
>
> volview appears to not even be in the archive, nor in NEW?  In that case I
> fail to see how the content of testing can possibly be relevant to the
> package.

VolView requires KWWidgets and vtk >= 5.8.0 that's the whole issue.


-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Fri, 09 Dec 2011 12:00:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Dec 2011 12:00:17 GMT) Full text and rfc822 format available.

Message #65 received at 649339@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: <649339@bugs.debian.org>
Subject: Re: Bug#649339:
Date: Fri, 09 Dec 2011 11:57:35 +0000
On Fri, 9 Dec 2011 12:49:21 +0100, Mathieu Malaterre wrote:
> On Fri, Dec 9, 2011 at 12:37 PM, Adam D. Barratt
> <adam@adam-barratt.org.uk> wrote:
>> On Fri, 9 Dec 2011 12:12:01 +0100, Mathieu Malaterre wrote:
>>>
>>> ref:
>>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649339#33
>>>
>>>
>>> Please do not remove kwwidgets from testing.
>>
>>
>> It FTBFS and could thus block the transition.  If you're concerned 
>> about the
>> issue, maybe contribute to getting the FTBFS fixed?
>
> Just to clears things up. I am in discussion with kwwidgets 
> maintainer
> and I am providing fix (ATM to be precise) for that. I did not want
> the release team to start removing it while on it.

Good.  Thanks for the clarification.

>>> 1.Slicer 3.6.x is still a decent viewer even if Slicer 4.x will be
>>> released soon.
>>> 2. I need kwwidgets for volview see #640511
>>
>>
>> volview appears to not even be in the archive, nor in NEW?  In that 
>> case I
>> fail to see how the content of testing can possibly be relevant to 
>> the
>> package.
>
> VolView requires KWWidgets and vtk >= 5.8.0 that's the whole issue.

I gathered that.  But while the package isn't in the archive, it's 
irrelevant.  Even once the package gets to NEW, it'll still only be the 
content of _unstable_ which is relevant, at least until volview is 
otherwise ready to migrate.

None of the above paragraph is a justification against removal from 
testing.  (In fact, it's not really a justification against removal from 
unstable, either.)

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Fri, 09 Dec 2011 12:08:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Dec 2011 12:09:18 GMT) Full text and rfc822 format available.

Message #70 received at 649339@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Alexander Reichle-Schmehl <alexander@schmehl.info>
Cc: 649339@bugs.debian.org
Subject: Re: Bug#649339:
Date: Fri, 9 Dec 2011 13:05:40 +0100
On Fri, Dec 9, 2011 at 1:03 PM, Alexander Reichle-Schmehl
<alexander@schmehl.info> wrote:
> Hi!
>
> Am 09.12.2011 12:49, schrieb Mathieu Malaterre:
>
>>> volview appears to not even be in the archive, nor in NEW?  In that case I
>>> fail to see how the content of testing can possibly be relevant to the
>>> package.
>> VolView requires KWWidgets and vtk >= 5.8.0 that's the whole issue.
>
> Maybe there's a misunderstanding:  The release team removed kxwidgets
> from the _testing_ distribution (aka "wheezy") due to an RC bug
> influencing indirectly other packages.
>
> kvwidgtes is still present in _unstable_ (aka "sid"), where your package
> once uploaded, will end up.
>
> In general removals from testing are temporarily; which means:  Once the
> rc bugs are solved (and the package is build on all archs) it can
> migrate back to testing.  (At which point your package could migrate to
> testing, too).

Sorry my bad. I was getting nervous to go through NEW again for a
compilation error.

Thanks for the clarification.
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649339; Package release.debian.org. (Fri, 09 Dec 2011 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Dec 2011 12:27:13 GMT) Full text and rfc822 format available.

Message #75 received at 649339@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 649339@bugs.debian.org
Subject: Re: Bug#649339:
Date: Fri, 09 Dec 2011 13:03:18 +0100
Hi!

Am 09.12.2011 12:49, schrieb Mathieu Malaterre:

>> volview appears to not even be in the archive, nor in NEW?  In that case I
>> fail to see how the content of testing can possibly be relevant to the
>> package.
> VolView requires KWWidgets and vtk >= 5.8.0 that's the whole issue.

Maybe there's a misunderstanding:  The release team removed kxwidgets
from the _testing_ distribution (aka "wheezy") due to an RC bug
influencing indirectly other packages.

kvwidgtes is still present in _unstable_ (aka "sid"), where your package
once uploaded, will end up.

In general removals from testing are temporarily; which means:  Once the
rc bugs are solved (and the package is build on all archs) it can
migrate back to testing.  (At which point your package could migrate to
testing, too).

Best regards,
  Alexander




Added indication that bug 649339 blocks 648775 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 20 Dec 2011 22:03:10 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 15 Jan 2012 10:18:31 GMT) Full text and rfc822 format available.

Notification sent to Dominique Belhachemi <domibel@debian.org>:
Bug acknowledged by developer. (Sun, 15 Jan 2012 10:18:35 GMT) Full text and rfc822 format available.

Message #82 received at 649339-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominique Belhachemi <domibel@debian.org>, 649339-done@bugs.debian.org
Subject: Re: Bug#649339: vtk 5.8 transition
Date: Sun, 15 Jan 2012 11:15:41 +0100
[Message part 1 (text/plain, inline)]
On Sat, Nov 19, 2011 at 21:52:15 -0500, Dominique Belhachemi wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> 
> Hi,
> 
> I would like to upload vtk-5.8.0 to unstable. It fixes the dependency
> issues we had with vtk-5.6 but might also break a few packages.
> Is it a bad time to start the transition?
> 
Done now after removal of itksnap, wrapitk-python and elmerfem from
testing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Feb 2012 07:34:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:15:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.